//  $Id: eight_by_16_mux.v,v 1.1.1.1 2007/04/20 23:07:46 vickery Exp $
/*  C. Vickery
 *  April, 2007
 *
 *  $Log: eight_by_16_mux.v,v $
 *  Revision 1.1.1.1  2007/04/20 23:07:46  vickery
 *  Initial version
 *
 */
module Eight_by_16_mux( out, sel,
                        source_0, source_1, source_2, source_3,
                        source_4, source_5, source_6, source_7);
input[2:0]    sel;
input[15:0]   source_0, source_1, source_2, source_3,
              source_4, source_5, source_6, source_7;
output[15:0]  out;
wire[15:0]    out;

assign out =  (sel == 3'b000) ? source_0 :
              (sel == 3'b001) ? source_1 :
              (sel == 3'b010) ? source_2 :
              (sel == 3'b011) ? source_3 :
              (sel == 3'b100) ? source_4 :
              (sel == 3'b101) ? source_5 :
              (sel == 3'b110) ? source_6 : source_7;
endmodule

