//  $Id: four_by_32_mux.v,v 1.1.1.1 2007/04/20 23:07:46 vickery Exp $
/*  C. Vickery
 *  April, 2007
 *
 *  $Log: four_by_32_mux.v,v $
 *  Revision 1.1.1.1  2007/04/20 23:07:46  vickery
 *  Initial version
 *
 */
module four_by_32_mux(out, in_0, in_1, in_2, in_3, sel);

input[31:0]   in_0, in_1, in_2, in_3;
input[1:0]    sel;
output[31:0]  out;
wire[32:0]    out;

  assign out =  (sel == 2'b00) ? in_0 :
                (sel == 2'b01) ? in_1 :
                (sel == 2'b10) ? in_2 : in_3;

endmodule
