//  $Id: ledr_buffers.v,v 1.1.1.1 2007/04/20 23:07:46 vickery Exp $
/*  Connect two 5-bit busses to a ten-bit bus.
 *  Used for connecting wires from busses with different names for the
 *  same wire, for example to display internal signal names on red
 *  LEDs, without having to change the names of the LED pins.
 *
 *  C. Vickery
 *  April, 2007
 *
 *  $Log: ledr_buffers.v,v $
 *  Revision 1.1.1.1  2007/04/20 23:07:46  vickery
 *  Initial version
 *
 */
module ledr_buffers(to_leds, in_hi, in_lo);
output[9:0] to_leds;
input[9:5] in_hi;
input[4:0] in_lo;
wire[9:0] to_leds;

  assign to_leds = {in_hi,in_lo};

endmodule

