//  PC_Register.v
/*  MIPS PC Register
 *  C. Vickery
 *  April, 2007
 */
module PC_Register(PC_out, PC_in, CPU_Clock);

input[31:0]   PC_in;
input         CPU_Clock;
output[31:0]  PC_out;
reg[31:0]     PC_out;

  always @(posedge CPU_Clock)
  begin
    PC_out = PC_in;
  end

endmodule
