//  $Id: PC_Register.v,v 1.1 2007/04/21 03:59:02 vickery Exp $
/*  MIPS PC Register
 *  C. Vickery
 *  April, 2007
 *
 *  $Log: PC_Register.v,v $
 *  Revision 1.1  2007/04/21 03:59:02  vickery
 *  Renamed CPU_Register.v to PC_Register.v to match module name
 *
 */
module PC_Register(PC_out, PC_in, CPU_Clock);

input[31:0]   PC_in;
input         CPU_Clock;
output[31:0]  PC_out;
reg[31:0]     PC_out;

  always @(posedge CPU_Clock)
  begin
    PC_out = PC_in;
  end

endmodule
