//  $Id: calc_bta.v,v 1.1.1.1 2007/04/20 23:07:44 vickery Exp $
/*  Calculate Branch Target Address.
 *  C. Vickery
 *  April, 2007
 *
 *  $Log: calc_bta.v,v $
 *  Revision 1.1.1.1  2007/04/20 23:07:44  vickery
 *  Initial version
 *
 */
module calc_BranchTargetAddress(bta, immed, pc_plus4);
input[15:0]   immed;
input[31:0]   pc_plus4;
output[31:0]  bta;
wire[31:0]    bta;

  assign bta = pc_plus4 + {(immed[15] ? 14'h3FFF : 14'h0000), immed, 2'b00};

endmodule

