//  $Id: calc_jump_address.v,v 1.1.1.1 2007/04/20 23:07:44 vickery Exp $
/*  Calculate jump address.
 *  C. Vickery
 *  April, 2007
 *
 *  $Log: calc_jump_address.v,v $
 *  Revision 1.1.1.1  2007/04/20 23:07:44  vickery
 *  Initial version
 *
 */
module calc_JumpAddress(jump_addr, jump_field, pc_plus4_bits);
input[31:28]  pc_plus4_bits;
input[25:0]   jump_field;
output[31:0]  jump_addr;
wire[31:0]    jump_addr;

  assign jump_addr = {pc_plus4_bits,jump_field,2'b00};

endmodule

