//	datapath.v
module datapath(this_pc, next_pc, instruction, reg_rs, reg_rt, alu_out, mem_read_data, mem_write_data,
				RegDst, Jump, Branch, MemtoReg, ALUop, ALUSrc, RegWrite,
				CPU_Clock_in, FPGA_Clock_in);

output [31:0]	this_pc, next_pc, reg_rs, reg_rt, alu_out, mem_write_data;
input [31:0]	instruction, mem_read_data;
input			RegDst, Jump, Branch, MemtoReg, ALUSrc, RegWrite;
input [1:0]		ALUop;
input			CPU_Clock_in, FPGA_Clock_in;

// TODO: How to use a bdf module from Verilog?
PC_Register	PC(.PC_out(this_pc), .PC_in(next_pc), .Clock(CPU_Clock_in));


endmodule