//  $Id: ledg_buffers.v,v 1.1.1.1 2007/04/20 23:07:46 vickery Exp $
/*  Connect eight input wires to an output but that can be connected
 *  to pins connected to the green LEDs on a DE1.
 *
 *  C. Vickery
 *  April, 2007
 *
 *  $Log: ledg_buffers.v,v $
 *  Revision 1.1.1.1  2007/04/20 23:07:46  vickery
 *  Initial version
 *
 */
module ledg_buffers(to_leds, in_0, in_1, in_2, in_3, in_4, in_5, in_6, in_7);

input       in_0, in_1, in_2, in_3, in_4, in_5, in_6, in_7;
output[7:0] to_leds;
wire[7:0]   to_leds;

  assign to_leds = {in_7, in_6, in_5, in_4, in_3, in_2, in_1, in_0};

endmodule

